summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWinterFairy <winterfairy@riseup.net>2013-12-01 17:18:41 +0000
committerWinterFairy <winterfairy@riseup.net>2013-12-01 17:23:40 +0000
commit6d1d772b3d69dfceda3c61aeb0baf8e64d8f078d (patch)
tree0ed626d2e4b85d1c2a30f8c79c04b408f69b04b2
parent4c4c106d9b37c49a0e6c92f8f30a2327c9cc4aa5 (diff)
Fix sdmem crashing on some Intel graphic hardware.bugfix/sdmem_on_intel_gpu
This is fixed by allowing the Intel graphic driver to properly reinitialize in the kexec environment before sdmem is started. If not done, the whole system may crash and reboot, leaving memory unerased.
-rwxr-xr-xconfig/chroot_local-hooks/12-initramfs-modules10
1 files changed, 10 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/12-initramfs-modules b/config/chroot_local-hooks/12-initramfs-modules
new file mode 100755
index 0000000..7c91064
--- /dev/null
+++ b/config/chroot_local-hooks/12-initramfs-modules
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+MOD_FILE='/etc/initramfs-tools/modules'
+
+[ -f "${MOD_FILE}" ] || exit 11
+
+# Avoid sdmem sometimes crashing on Intel graphic hardware
+echo "i915" >> "${MOD_FILE}"